<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>AOCreateBasic</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="AOCreateBasic"><H1>AOCreateBasic</H1></A>
Creates a basic application ordering using two integer arrays. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscao.h"   
PetscErrorCode PETSCDM_DLLEXPORT AOCreateBasic(MPI_Comm comm,PetscInt napp,const PetscInt myapp[],const PetscInt mypetsc[],AO *aoout)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- MPI communicator that is to share <A HREF="../AO/AO.html#AO">AO</A>
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>napp </B></TD><TD>- <A HREF="../Sys/size.html#size">size</A> of integer arrays
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>myapp </B></TD><TD>- integer array that defines an ordering
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>mypetsc </B></TD><TD>- integer array that defines another ordering (may be <A HREF="../Sys/PETSC_NULL.html#PETSC_NULL">PETSC_NULL</A> to 
indicate the natural ordering)
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>aoout </B> -the new application ordering
<br>
<P>
<H3><FONT COLOR="#CC3333">Options Database Key</FONT></H3>
<DT><B>-ao_view </B> -call <A HREF="../AO/AOView.html#AOView">AOView</A>() at the conclusion of <A HREF="../AO/AOCreateBasic.html#AOCreateBasic">AOCreateBasic</A>()
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../AO/AO.html#AO">AO</A>, create
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../AO/AOCreateBasicIS.html#AOCreateBasicIS">AOCreateBasicIS</A>(), <A HREF="../AO/AODestroy.html#AODestroy">AODestroy</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/ao/impls/basic/aobasic.c.html#AOCreateBasic">src/dm/ao/impls/basic/aobasic.c</A>
<BR><A HREF="./index.html">Index of all AO routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/dm/ao/examples/tutorials/ex2.c.html">src/dm/ao/examples/tutorials/ex2.c.html</A><BR>
<A HREF="../../../src/dm/da/examples/tutorials/ex6.c.html">src/dm/da/examples/tutorials/ex6.c.html</A><BR>
<A HREF="../../../src/dm/da/examples/tutorials/ex6f90.F.html">src/dm/da/examples/tutorials/ex6f90.F.html</A><BR>
</BODY></HTML>
